<template>
    <div class="row justify-center">
        <div class="column justify-around gt-md" style=" width: 50%; height: 100vh;">
            <chat></chat>
        </div>
        <div class="column justify-around lt-lg" style="width: 100%; height: 100vh;">
            <chat></chat>
        </div>
    </div>
</template>

<script>
import Chat from 'src/components/Chat.vue';
export default {
    name: 'Person',
    components: { Chat },
    async beforeCreate(){
        this.$store.commit('chat/setCsrftoken', this.$q.cookies.get('XSRF-TOKEN') );
    },
    computed: {
        // Constantly update current CSRFToken to the VuexStore for Axios to be able to make requests with it.
        csrf:{
            get(){
                return this.$q.cookies.get('XSRF-TOKEN');
            },
            set(val){ // This will be triggered when you click on the Tabs!
                this.$store.commit('chat/setCsrftoken', val );
            }
        },
    },
}
</script>

